Confirmă că anunțul e disponibil
curl --request POST \
--url https://staging.housera.ro/api/v1/listings/{code}/confirm \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.housera.ro/api/v1/listings/{code}/confirm",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.housera.ro/api/v1/listings/{code}/confirm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://staging.housera.ro/api/v1/listings/{code}/confirm"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"data": {
"code": "<string>",
"url": "<string>",
"type": "apartment",
"subtype": "<string>",
"transaction": "sale",
"title": "<string>",
"description": "<string>",
"content_locale": "<string>",
"content_auto_translated": true,
"content_origin": {
"title": "<string>",
"description": "<string>"
},
"title_original": "<string>",
"description_original": "<string>",
"price": 123,
"currency": "EUR",
"price_period": "total",
"price_declared": {
"amount": 123,
"currency": "<string>"
},
"reserved": true,
"negotiable": true,
"location": {
"country": "<string>",
"county": "<string>",
"city": "<string>",
"area": "<string>",
"lat": 123,
"lng": 123,
"street": "<string>",
"street_number": "<string>",
"postal_code": "<string>",
"landmark": "<string>",
"precision": "exact"
},
"facts": {},
"features": [
"<string>"
],
"images": [
"<string>"
],
"photos": [
{
"url": "<string>",
"position": 123,
"floor": "<string>",
"rooms": [
"<string>"
]
}
],
"floor_plans": [
{
"url": "<string>",
"position": 123,
"level": "<string>",
"hotspots": [
{
"x": 123,
"y": 123,
"angle": 123,
"photo_position": 123,
"photo_url": "<string>"
}
]
}
],
"media_links": {
"video": "<string>",
"tour": "<string>",
"plan": "<string>"
},
"parcel": [
[
123,
123
]
],
"unit_types": [
{
"kind": "<string>",
"label": "<string>",
"floors": "<string>",
"area_sqm": 123,
"area_sqm_to": 123,
"units_count": 123,
"price_from": 123,
"rooms": 123
}
],
"inventory": {
"sale": {
"source": "<string>",
"available": 123,
"reserved": 123,
"sold": 123,
"price_min": 123,
"price_max": 123,
"groups": [
"<unknown>"
]
},
"rent": {
"source": "<string>",
"available": 123,
"reserved": 123,
"sold": 123,
"price_min": 123,
"price_max": 123,
"groups": [
"<unknown>"
]
}
},
"developer": {
"name": "<string>",
"country": "<string>",
"tax_id": "<string>",
"verified": true,
"url": "<string>"
},
"marketer": {
"name": "<string>",
"kind": "agency",
"url": "<string>"
},
"complex": {
"code": "<string>",
"title": "<string>",
"url": "<string>",
"linked_by": "import"
},
"published_at": "<string>",
"updated_at": "<string>",
"attribution": {
"lister": "<string>",
"source": "<string>",
"source_label": "<string>",
"source_external_id": "<string>"
},
"external_ref": "<string>",
"agent": {
"name": "<string>",
"email": "<string>"
},
"status": "draft",
"moderation": {
"edit_pending": true,
"rejection_reason": "<string>",
"rejection_codes": [
"<string>"
],
"restriction_reason": "<string>",
"notes": [
{
"field": "<string>",
"label": "<string>",
"note": "<string>",
"kind": "blocking"
}
],
"proof": {
"status": "requested",
"reason": "<string>",
"hidden": true,
"requested_at": "2023-11-07T05:31:56Z",
"submitted_at": "2023-11-07T05:31:56Z",
"decided_at": "2023-11-07T05:31:56Z"
}
},
"media": {
"processing": true
},
"availability": {
"confirm_by": "2023-11-07T05:31:56Z"
},
"translations": {},
"etag": "<string>",
"unit_ref": "<string>",
"mandate": {
"status": "requested",
"decided_via": "developer",
"valid_until": "2023-12-25"
},
"stats_30d": {
"views": 123,
"saves": 123,
"contacts": 123
},
"views_total": 123,
"price_per_sqm": 123
},
"warnings": [
{
"pointer": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"existing": {
"code": "<string>",
"external_ref": "<string>"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"existing": {
"code": "<string>",
"external_ref": "<string>"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"existing": {
"code": "<string>",
"external_ref": "<string>"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"existing": {
"code": "<string>",
"external_ref": "<string>"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"existing": {
"code": "<string>",
"external_ref": "<string>"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"existing": {
"code": "<string>",
"external_ref": "<string>"
}
}Anunțurile tale
Confirmă că anunțul e disponibil
Confirmă că anunțul e încă disponibil, la fel ca butonul din contul tău de pe portalul Housera. Un anunț unconfirmed revine în căutări și primești evenimentul listing.reactivated. Un anunț activ căruia i s-a cerut confirmarea rămâne public, iar availability.confirm_by devine null. Dacă nu e nimic de confirmat, răspunsul e 409.
POST
/
listings
/
{code}
/
confirm
Confirmă că anunțul e disponibil
curl --request POST \
--url https://staging.housera.ro/api/v1/listings/{code}/confirm \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.housera.ro/api/v1/listings/{code}/confirm",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.housera.ro/api/v1/listings/{code}/confirm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://staging.housera.ro/api/v1/listings/{code}/confirm"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"data": {
"code": "<string>",
"url": "<string>",
"type": "apartment",
"subtype": "<string>",
"transaction": "sale",
"title": "<string>",
"description": "<string>",
"content_locale": "<string>",
"content_auto_translated": true,
"content_origin": {
"title": "<string>",
"description": "<string>"
},
"title_original": "<string>",
"description_original": "<string>",
"price": 123,
"currency": "EUR",
"price_period": "total",
"price_declared": {
"amount": 123,
"currency": "<string>"
},
"reserved": true,
"negotiable": true,
"location": {
"country": "<string>",
"county": "<string>",
"city": "<string>",
"area": "<string>",
"lat": 123,
"lng": 123,
"street": "<string>",
"street_number": "<string>",
"postal_code": "<string>",
"landmark": "<string>",
"precision": "exact"
},
"facts": {},
"features": [
"<string>"
],
"images": [
"<string>"
],
"photos": [
{
"url": "<string>",
"position": 123,
"floor": "<string>",
"rooms": [
"<string>"
]
}
],
"floor_plans": [
{
"url": "<string>",
"position": 123,
"level": "<string>",
"hotspots": [
{
"x": 123,
"y": 123,
"angle": 123,
"photo_position": 123,
"photo_url": "<string>"
}
]
}
],
"media_links": {
"video": "<string>",
"tour": "<string>",
"plan": "<string>"
},
"parcel": [
[
123,
123
]
],
"unit_types": [
{
"kind": "<string>",
"label": "<string>",
"floors": "<string>",
"area_sqm": 123,
"area_sqm_to": 123,
"units_count": 123,
"price_from": 123,
"rooms": 123
}
],
"inventory": {
"sale": {
"source": "<string>",
"available": 123,
"reserved": 123,
"sold": 123,
"price_min": 123,
"price_max": 123,
"groups": [
"<unknown>"
]
},
"rent": {
"source": "<string>",
"available": 123,
"reserved": 123,
"sold": 123,
"price_min": 123,
"price_max": 123,
"groups": [
"<unknown>"
]
}
},
"developer": {
"name": "<string>",
"country": "<string>",
"tax_id": "<string>",
"verified": true,
"url": "<string>"
},
"marketer": {
"name": "<string>",
"kind": "agency",
"url": "<string>"
},
"complex": {
"code": "<string>",
"title": "<string>",
"url": "<string>",
"linked_by": "import"
},
"published_at": "<string>",
"updated_at": "<string>",
"attribution": {
"lister": "<string>",
"source": "<string>",
"source_label": "<string>",
"source_external_id": "<string>"
},
"external_ref": "<string>",
"agent": {
"name": "<string>",
"email": "<string>"
},
"status": "draft",
"moderation": {
"edit_pending": true,
"rejection_reason": "<string>",
"rejection_codes": [
"<string>"
],
"restriction_reason": "<string>",
"notes": [
{
"field": "<string>",
"label": "<string>",
"note": "<string>",
"kind": "blocking"
}
],
"proof": {
"status": "requested",
"reason": "<string>",
"hidden": true,
"requested_at": "2023-11-07T05:31:56Z",
"submitted_at": "2023-11-07T05:31:56Z",
"decided_at": "2023-11-07T05:31:56Z"
}
},
"media": {
"processing": true
},
"availability": {
"confirm_by": "2023-11-07T05:31:56Z"
},
"translations": {},
"etag": "<string>",
"unit_ref": "<string>",
"mandate": {
"status": "requested",
"decided_via": "developer",
"valid_until": "2023-12-25"
},
"stats_30d": {
"views": 123,
"saves": 123,
"contacts": 123
},
"views_total": 123,
"price_per_sqm": 123
},
"warnings": [
{
"pointer": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"existing": {
"code": "<string>",
"external_ref": "<string>"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"existing": {
"code": "<string>",
"external_ref": "<string>"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"existing": {
"code": "<string>",
"external_ref": "<string>"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"existing": {
"code": "<string>",
"external_ref": "<string>"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"existing": {
"code": "<string>",
"external_ref": "<string>"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"existing": {
"code": "<string>",
"external_ref": "<string>"
}
}Parametri cale
Parametri interogare
Limba răspunsului, ro sau en. Schimbă mesajele erorilor (title, detail), etichetele și, când anunțul are o traducere aprobată în limba cerută, titlul și descrierea lui. Codurile sunt aceleași în orice limbă. Are întâietate față de Accept-Language și de limba contului.
Opțiuni disponibile:
ro, en Răspuns
Anunțul e confirmat. Răspunsul conține anunțul.